Subject: sddm: open new session gives black screen

Description: Hello.


I am a new Calculate Linux user.


I have just successfully installed Calculate.


I can log into a KDE Plasma session, with sddm and the nvidia-drivers.





However, when I try to start a new session, I get a black screen. I cannot switch to any tty (tty1 nor back to 

tty7). I can only hard-reboot the computer.


History

03/12/2017 02:48 am - augustin a

These are the only log messages I can find around the time of the incident. I am not sure they are relevant at all.


/var/log/messages:





Mar 12 10:24:13 calculate kernel: nvidia-modeset: ERROR: GPU:0: Idling EVO timed out: 0x0000947d:0:0:0x00000040


Mar 12 10:24:16 calculate kernel: usb 2-4: USB disconnect, device number 2


Mar 12 10:24:18 calculate kernel: usb 2-4: new low-speed USB device number 3 using ohci-pci


Mar 12 10:24:18 calculate kernel: usb 2-4: New USB device found, idVendor=1c4f, idProduct=0003


Mar 12 10:24:18 calculate kernel: usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=0


Mar 12 10:24:18 calculate kernel: usb 2-4: Product: Usb Mouse


Mar 12 10:24:18 calculate kernel: usb 2-4: Manufacturer: SIGMACHIP


Mar 12 10:24:18 calculate kernel: input: SIGMACHIP Usb Mouse as 

/devices/pci0000:00/0000:00:02.0/usb2/2-4/2-4:1.0/0003:1C4F:0003.0002/input/input13


Mar 12 10:24:18 calculate kernel: hid-generic 0003:1C4F:0003.0002: input,hidraw0: USB HID v1.10 Mouse [SIGMACHIP Usb Mouse] on 

usb-0000:00:02.0-4/input0


Mar 12 10:24:18 calculate mtp-probe[8254]: checking bus 2, device 3: "/sys/devices/pci0000:00/0000:00:02.0/usb2/2-4"


Mar 12 10:24:18 calculate mtp-probe[8254]: bus: 2, device: 3 was not an MTP device





/var/log/X.org.log.old:





[   555.557] (EE) /dev/dri/card0: failed to set DRM interface version 1.4: Permission denied

03/13/2017 07:42 am - Mikhail Hiretsky

Try to use @nouveau@ video drivers.

03/13/2017 07:54 am - augustin a

It is not possible. The nouveau drivers do not support my card. I've tried the same card with gentoo, ubuntu, and with nouveau, the whole system was 

very unstable. I've checked upstream with nouveau: the card is not supported.





I have another machine running gentoo with the exact same graphic card. As I said, I had tried with nouveau but it was no good. Now, the gentoo 

machine uses the nvidia drivers and everything works well.





With Calculate, I couldn't even begin to install Calculate with the nouveau drivers. The live CD just crashed. When booting with the live CD, I had to 

chose F3 > nvidia drivers to actually be able to install Calculate.





I user openRC on both boxes (Gentoo and Calculate). I don't know what configuration differences exist between the two distributions. With Calculate, I 
cannot start another session. Everything crashes. I don't experience this with Gentoo (again, different machines, but same graphic card).





03/13/2017 12:36 pm - Mikhail Hiretsky

Are users members of video group?

03/30/2017 03:39 am - augustin a

Yes, they are. system user 'sddm' is also in the video group.





It's not a user permission problem because the bug manifests itself before the user has a chance to log in.





I can reproduce the bug in two ways:





1] I log in and start a KDE session normally on tty7.  I clik K-menu > start new session and I get a black screen from which I cannot get out. sddm 

never gets to display a login screen.





2] After booting, before I log in any session. I see the normal sddm login screen on tty7. I do ctrl+alt+f1 and see a CLI prompt to login. I do ctrl+alt+f7 

to get back to the graphigal login, but I get the black screen instead and cannot return to either tty1 nor tty7. Note that I never logged in anywhere.





Which component may be broken? agetty?


04/11/2017 08:45 am - Mikhail Hiretsky

Try to run <<revdep-rebuild>>. What is permission set on @/dev/dri/card0@?

02/26/2018 05:04 am - augustin a

This issue is likely to have been caused by a hardware problem.


I don't know how to close this ticket.





I never managed to fully install Calculate, and we kept using the previously installed distribution, which was itself quite unstable. Last week, the system 

died. It wouldn't POST (boot) at all. It was an old motherboard. We purchased a new motherboard/cpu/etc. and I am currently installing Gentoo on it. I 

will find another opportunity to give Calculate a try, as I am still interested. 





Many thanks to Mikhail Hiretsky for his support and his contributions to Calculate! :)

03/07/2018 12:55 pm - augustin a

I found the real source of the problem.


It was not a hardware issue, since I was able to reproduce the very same problem on the brand new system.





It was a problem of configuration of X11/nvidia.


I applied the solution described here: 


http://linux.overshoot.tv/wiki/xorg0log_ee_drm_failed_open_drm_device_pci


=  Xorg.0.log: (EE) [drm] Failed to open DRM device for pci








Adding the following to my X11 configuration files was enough:


<pre>


Section "Screen"


        Identifier "Default Screen"


        Device "DiscreteNvidia"


EndSection


</pre>
05/07/2018 06:26 am - Alexander Tratsevskiy

- Status changed from New to Closed
